Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Interface ExtendedParser

All Superinterfaces:
  Parser

All Known Implementing Classes:
  ExtendedParserWrapper, Parser

public interface ExtendedParser
extends Parser

This class implements the `Parser` interface plus a set of custom methods.

Method Summary
`SACMediaList` | `parseMedia(java.lang.String mediaText)` Parse a CSS media value.
`boolean` | `parsePriority(java.lang.String source)` Parse a CSS priority value (e.g.
`LexicalUnit` | `parsePropertyValue(java.lang.String source)` Parse a CSS property value.
`void` | `parseRule(java.lang.String source)` Parse a CSS rule.
`SelectorList` | `parseSelectors(java.lang.String source)` Parse a comma separated list of selectors.
`void` | `parseStyleDeclaration(java.lang.String source)` Parse a CSS style declaration (without '{' and '}').

Methods inherited from interface org.w3c.css.sac.Parser
`getParserVersion, parsePriority, parsePropertyValue, parseRule, parseSelectors, parseStyleDeclaration, parseStyleSheet, parseStyleSheet, setConditionFactory, setDocumentHandler, setErrorHandler, setLocale, setSelectorFactory`

Method Detail

### parseStyleDeclaration

    public void parseStyleDeclaration(java.lang.String source)
                               throws CSSException,
                                      java.io.IOException

  Parse a CSS style declaration (without '{' and '}').

  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseRule

    public void parseRule(java.lang.String source)
                   throws CSSException,
                          java.io.IOException

  Parse a CSS rule.

  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseSelectors

    public SelectorList parseSelectors(java.lang.String source)
                                throws CSSException,
                                       java.io.IOException

  Parse a comma separated list of selectors.

  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parsePropertyValue

    public LexicalUnit parsePropertyValue(java.lang.String source)
                                   throws CSSException,
                                          java.io.IOException

  Parse a CSS property value.

  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseMedia

    public SACMediaList parseMedia(java.lang.String mediaText)
                            throws CSSException,
                                   java.io.IOException

  Parse a CSS media value.

  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parsePriority

    public boolean parsePriority(java.lang.String source)
                          throws CSSException,
                                 java.io.IOException

  Parse a CSS priority value (e.g. "!important").

  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.